package com.goafanti.demand.bo;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class DemandManageDetailBo extends DemandManageListBo {

	private Integer		industryCategoryA;

	private Integer		industryCategoryB;

	private String		problemDes;

	private String		technicalRequirements;

	private String		pictureUrl;

	private String		textFileUrl;

	private String		videoUrl;

	private BigDecimal	budgetCost;

	private String		fixedCycle;

	private Integer		peopleNumber;

	private String		fixedScheme;

	private BigDecimal	costEscrow;

	private String		employerId;

	private String		address;

	private String		contactsName;

	private String		mobile;

	private String		mailbox;

	private String		contacts;

	private String		employerAddress;

	private String		employerContactsMobile;

	private String		employerContactsMailbox;

	private String      coverImg;
	
	
	

	public String getEmployerAddress() {
		return employerAddress;
	}

	public void setEmployerAddress(String employerAddress) {
		this.employerAddress = employerAddress;
	}

	public String getEmployerContactsMobile() {
		return employerContactsMobile;
	}

	public void setEmployerContactsMobile(String employerContactsMobile) {
		this.employerContactsMobile = employerContactsMobile;
	}

	public String getEmployerContactsMailbox() {
		return employerContactsMailbox;
	}

	public void setEmployerContactsMailbox(String employerContactsMailbox) {
		this.employerContactsMailbox = employerContactsMailbox;
	}

	@JsonFormat(shape = Shape.STRING)
	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public Integer getIndustryCategoryA() {
		return industryCategoryA;
	}

	public void setIndustryCategoryA(Integer industryCategoryA) {
		this.industryCategoryA = industryCategoryA;
	}

	public Integer getIndustryCategoryB() {
		return industryCategoryB;
	}

	public void setIndustryCategoryB(Integer industryCategoryB) {
		this.industryCategoryB = industryCategoryB;
	}

	public String getProblemDes() {
		return problemDes;
	}

	public void setProblemDes(String problemDes) {
		this.problemDes = problemDes;
	}

	public String getTechnicalRequirements() {
		return technicalRequirements;
	}

	public void setTechnicalRequirements(String technicalRequirements) {
		this.technicalRequirements = technicalRequirements;
	}

	public String getPictureUrl() {
		return pictureUrl;
	}

	public void setPictureUrl(String pictureUrl) {
		this.pictureUrl = pictureUrl;
	}

	public String getTextFileUrl() {
		return textFileUrl;
	}

	public void setTextFileUrl(String textFileUrl) {
		this.textFileUrl = textFileUrl;
	}

	public String getVideoUrl() {
		return videoUrl;
	}

	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}

	public BigDecimal getBudgetCost() {
		return budgetCost;
	}

	public void setBudgetCost(BigDecimal budgetCost) {
		this.budgetCost = budgetCost;
	}

	public String getFixedCycle() {
		return fixedCycle;
	}

	public void setFixedCycle(String fixedCycle) {
		this.fixedCycle = fixedCycle;
	}

	public Integer getPeopleNumber() {
		return peopleNumber;
	}

	public void setPeopleNumber(Integer peopleNumber) {
		this.peopleNumber = peopleNumber;
	}

	public String getFixedScheme() {
		return fixedScheme;
	}

	public void setFixedScheme(String fixedScheme) {
		this.fixedScheme = fixedScheme;
	}

	public BigDecimal getCostEscrow() {
		return costEscrow;
	}

	public void setCostEscrow(BigDecimal costEscrow) {
		this.costEscrow = costEscrow;
	}

	public String getEmployerId() {
		return employerId;
	}

	public void setEmployerId(String employerId) {
		this.employerId = employerId;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getContactsName() {
		return contactsName;
	}

	public void setContactsName(String contactsName) {
		this.contactsName = contactsName;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getMailbox() {
		return mailbox;
	}

	public void setMailbox(String mailbox) {
		this.mailbox = mailbox;
	}

	public String getCoverImg() {
		return coverImg;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}

}
